function [] = DrawRingOfCircles2(Iteration)

    CirclesPerLevel = 5;
    BaseRadius      = 1;

    Radius     = BaseRadius / (2 ^ Iteration);
    HalfRadius = BaseRadius / 2;
    
    NumberOfAngles = [5 15 45 135];
    
    if Iteration == 0
    
        Angles   = 0;

        CentresX = 0;
        CentresY = 0;

    else
        
        Angles   = 0:360 / NumberOfAngles(Iteration):360;

        CentresX = (BaseRadius - HalfRadius) * sind(Angles);
        CentresY = (BaseRadius - HalfRadius) * cosd(Angles);

    end

    for i = 1:length(Angles)
        
        DrawCircle(Radius, CentresX(i), CentresY(i));
        
    end

end