close all

fig = figure('color', 'white');
hold on;

figposn = get(fig, 'Position');
set(fig, 'Position', [figposn(1) figposn(2) 440 440]);
set(gca, 'Position', [0.0 0.0 1 1]);

set(gca, 'PlotBoxAspectRatioMode', 'manual');
axis equal;
axis off;

DrawRingOfCircles(0)
DrawRingOfCircles(1)
DrawRingOfCircles(2)
DrawRingOfCircles(3)
DrawRingOfCircles(4)
DrawRingOfCircles(5)

saveas(gcf, 'wustrtuu_symbol_1', 'png');

fig = figure('color', 'white');
hold on;

figposn = get(fig, 'Position');
set(fig, 'Position', [figposn(1) figposn(2) 440 440]);
set(gca, 'Position', [0.0 0.0 1 1]);

set(gca, 'PlotBoxAspectRatioMode', 'manual');
axis equal;
axis off;

DrawRingOfCircles2(0)
DrawRingOfCircles2(1)
DrawRingOfCircles2(2)
DrawRingOfCircles2(3)
DrawRingOfCircles2(4)

saveas(gcf, 'wustrtuu_symbol_2', 'png');

