function [] = DrawRingOfCircles(Iteration)

    CirclesPerLevel = 5;
    BaseRadius      = 1;

    Radius = BaseRadius / (2 ^ Iteration);
    
    NumberOfAngles = [5 15 30 60 120]; %45];
    
    if Iteration == 0
    
        Angles   = 0;

    else
        
        Angles   = 0:360 / NumberOfAngles(Iteration):360;

    end

    CentresX = (BaseRadius - Radius) * sind(Angles);
    CentresY = (BaseRadius - Radius) * cosd(Angles);

    for i = 1:length(Angles)
        
        DrawCircle(Radius, CentresX(i), CentresY(i));
        
    end

end